org.apache.sysds.runtime.compress.workload

## Enum AWTreeNode.WTNodeType

- java.lang.Object
- - java.lang.Enum<AWTreeNode.WTNodeType>
  - - org.apache.sysds.runtime.compress.workload.AWTreeNode.WTNodeType

- All Implemented Interfaces:
    Serializable, Comparable<AWTreeNode.WTNodeType>
  Enclosing class:
    AWTreeNode

      public static enum AWTreeNode.WTNodeType
      extends Enum<AWTreeNode.WTNodeType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC_BLOCK`
    `FCALL`
    `FOR`
    `IF`
    `PARFOR`
    `ROOT`
    `WHILE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isLoop()`
    `static AWTreeNode.WTNodeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AWTreeNode.WTNodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ROOT

          public static final AWTreeNode.WTNodeType ROOT

    - #### FCALL

          public static final AWTreeNode.WTNodeType FCALL

    - #### IF

          public static final AWTreeNode.WTNodeType IF

    - #### WHILE

          public static final AWTreeNode.WTNodeType WHILE

    - #### FOR

          public static final AWTreeNode.WTNodeType FOR

    - #### PARFOR

          public static final AWTreeNode.WTNodeType PARFOR

    - #### BASIC_BLOCK

          public static final AWTreeNode.WTNodeType BASIC_BLOCK

  - ### Method Detail

    - #### values

          public static AWTreeNode.WTNodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AWTreeNode.WTNodeType c : AWTreeNode.WTNodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AWTreeNode.WTNodeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isLoop

          public boolean isLoop()

Copyright © 2021 The Apache Software Foundation. All rights reserved.